Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SetParameter.MaxTempDiskLimit

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.MaxTempDiskLimit

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol.SetParameter

public static final class ClientWireProtocol.SetParameter.MaxTempDiskLimit extends GeneratedMessageV3 implements ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder
Protobuf type `xg.cmdcomp.SetParameter.MaxTempDiskLimit`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
Protobuf type `xg.cmdcomp.SetParameter.MaxTempDiskLimit`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TEMPDISKLIMIT_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`getDefaultInstance()`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Parser<ClientWireProtocol.SetParameter.MaxTempDiskLimit>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`long`
`getTempDiskLimit()`
`int64 tempDiskLimit = 1;`
`int`
`hashCode()`
Returns the hash code value for this message.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
`newBuilder()`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
`newBuilder(ClientWireProtocol.SetParameter.MaxTempDiskLimit prototype)`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(byte[] data)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(ByteString data)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(InputStream input)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<ClientWireProtocol.SetParameter.MaxTempDiskLimit>`
`parser()`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### TEMPDISKLIMIT_FIELD_NUMBER

public static final int TEMPDISKLIMIT_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### getTempDiskLimit

public long getTempDiskLimit()
`int64 tempDiskLimit = 1;`

Specified by:
  `getTempDiskLimit` in interface `ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder`
Returns:
  The tempDiskLimit.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder newBuilder(ClientWireProtocol.SetParameter.MaxTempDiskLimit prototype)

### toBuilder

public ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.SetParameter.MaxTempDiskLimit getDefaultInstance()

### parser

public static Parser<ClientWireProtocol.SetParameter.MaxTempDiskLimit> parser()

### getParserForType

public Parser<ClientWireProtocol.SetParameter.MaxTempDiskLimit> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.SetParameter.MaxTempDiskLimit getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`